Skip to content

Lifecycle

All operations require authentication.

4 operationsv1/cloud/eligibility · /cloud/project
Agent setup

Check project order eligibilityBeta

GET
/1.0/cloud/eligibility

Check project order eligibility. Returns the actions required before ordering a project, the minimum credit and the accepted payment methods. Give a voucher code to check its credit at the same time.

Query parameters

voucher
stringpassword

Voucher code

Response

200EligibilityInfosuccessful operation
actionsRequired
EligibilityAction[]

Actions to perform to be eligible

ValuesaddPaymentMethodaskIncreaseProjectsQuotachallengePaymentMethodverifyPaypal
minimumCredit
Price

Cloud project order

paymentMethodsAuthorized
PaymentMethodAuthorized[]

Payment method accepted to order Public Cloud project

ValuesbankAccountcreditcreditCardpaypalrupaysepaDirectDebit
voucher
NewProjectInfoVoucher

Information about voucher code

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/cloud/eligibility \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "actionsRequired": [ "addPaymentMethod" ], "minimumCredit": { "currencyCode": "AUD", "text": "string", "value": 0 }, "paymentMethodsAuthorized": [ "bankAccount" ], "voucher": { "credit": { "currencyCode": "AUD", "text": "string", "value": 0 }, "paymentMethodRequired": true }}

Request service terminationProduction

POST
/1.0/cloud/project/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The project id

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Confirm service terminationProduction

POST
/1.0/cloud/project/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The project id

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Change service contactsProduction

POST
/1.0/cloud/project/{serviceName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

serviceName
required
string

The project id

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]